NamingListener (Java SE 22 & JDK 22)
Description: declaration: module: java.naming, package: javax.naming.event, interface: NamingListener
Keywords: javax.naming.event.NamingListener interface

Module java.naming
Package javax.naming.event

# Interface NamingListener

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `NamespaceChangeListener`, `ObjectChangeListener`, `UnsolicitedNotificationListener`

public interface NamingListener extends EventListener
This interface is the root of listener interfaces that handle `NamingEvent`s. It does not make sense for a listener to implement just this interface. A listener typically implements a subinterface of `NamingListener`, such as `ObjectChangeListener` or `NamespaceChangeListener`.

This interface contains a single method, `namingExceptionThrown()`, that must be implemented so that the listener can be notified of exceptions that are thrown (by the service provider) while gathering information about the events that they're interested in. When this method is invoked, the listener has been automatically deregistered from the `EventContext` with which it has registered.

For example, suppose a listener implements `ObjectChangeListener` and registers with an `EventContext`. Then, if the connection to the server is subsequently broken, the listener will receive a `NamingExceptionEvent` and may take some corrective action, such as notifying the user of the application.

Since:
  1.3
See Also:
  - `NamingEvent`
  - `NamingExceptionEvent`
  - `EventContext`
  - `EventDirContext`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `namingExceptionThrown(NamingExceptionEvent evt)`
  Called when a naming exception is thrown while attempting to fire a `NamingEvent`.

- ## Method Details

  - ### namingExceptionThrown

    void namingExceptionThrown(NamingExceptionEvent evt)
    Called when a naming exception is thrown while attempting to fire a `NamingEvent`.
    Parameters:
      `evt` - The nonnull event.